Page MenuHomePhabricator

Education dots rendering issues
Closed, ResolvedPublic0.5 Story Points

Description

The circles have very slightly flat sides, and the larger circles don't quite centre correctly:

probably because we using em's which generate non-integer pixel values

Event Timeline

Esanders created this task.Jan 18 2019, 8:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 18 2019, 8:58 PM

Change 485254 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Use pixel dimensions for education dots

https://gerrit.wikimedia.org/r/485254

Esanders set the point value for this task to 0.5.Jan 18 2019, 9:04 PM

Change 485254 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Use pixel dimensions for education dots

https://gerrit.wikimedia.org/r/485254

matmarex moved this task from Incoming to QA on the VisualEditor (Current work) board.
Ryasmeen edited projects, added Verified; removed Editing QA.Mar 1 2019, 1:34 AM
Ryasmeen moved this task from QA to Product owner review on the VisualEditor (Current work) board.

Hmm. In following the steps below, I seem to still be encountering, "...circles [that] have very slightly flat sides, and the larger circles don't quite centre correctly..."

@Esanders, two questions:

  1. Are you seeing "What I'm seeing"?
  2. Are there steps different from the ones below I should be following to verify this patch fixes what it's been intended to fix?

What I'm seeing

Steps

  1. In Chrome on desktop, open a new incognito window
  2. Navigate to: https://en.wikipedia.org/wiki/Kevin_A._Lynch
  3. Tap edit
  4. Switch to "Visual editing"

Result: ...oblong circles appear

JTannerWMF added a subscriber: JTannerWMF.

@ppelberg can't close this as he is waiting on a response from @Esanders

You are using a high DPI display (mac) so the rendering is different. I tried 200% zoom in Chrome and they still look round to me. Which browser is this in?

Given that the position and size are now defined in integer pixels this could just be a browser bug...

ppelberg closed this task as Resolved.Jun 27 2019, 5:20 AM

You are using a high DPI display (mac) so the rendering is different.

Oh, okay.

I tried 200% zoom in Chrome and they still look round to me. Which browser is this in?

Chrome. I just tried 200% zoom (see below) and I am no longer seeing oblong education dots.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 27 2019, 5:20 AM